# RadioLib: Module::SPIConfig_t Struct Reference

Module::SPIConfig_t Struct Reference

SPI configuration structure. More...

`#include <Module.h>`

## Public Attributes

bool | stream
| Whether the SPI module is stream-type (SX126x/8x) or registrer access type (SX127x, CC1101 etc).
int16_t | err
| Last recorded SPI error - only updated for modules that return status during SPI transfers.
uint16_t | cmds [4]
| SPI commands.
BitWidth_t | widths [3]
| Bit widths of SPI addresses, commands and status bytes.
uint8_t | statusPos
| Byte position of status command in SPI stream.
SPIparseStatusCb_t | parseStatusCb
| Callback for parsing SPI status.
SPIcheckStatusCb_t | checkStatusCb
| Callback for validation SPI status.
RadioLibTime_t | timeout
| Timeout in ms when waiting for GPIO signals.

## Detailed Description

SPI configuration structure.

The documentation for this struct was generated from the following file:

- src/Module.h